update to 1.10.4
[profile/ivi/clutter.git] / Makefile.in
1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17
18 # custom rules for quiet builds
19
20 # Taken from Cairo - build/Makefile.am.changelog
21 # Modified to fit the Clutter build environment
22
23 # To make real stable releases or devel snapshots, use either:
24 #       make release-check
25 # or    make release-publish
26 VPATH = @srcdir@
27 pkgdatadir = $(datadir)/@PACKAGE@
28 pkgincludedir = $(includedir)/@PACKAGE@
29 pkglibdir = $(libdir)/@PACKAGE@
30 pkglibexecdir = $(libexecdir)/@PACKAGE@
31 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
32 install_sh_DATA = $(install_sh) -c -m 644
33 install_sh_PROGRAM = $(install_sh) -c
34 install_sh_SCRIPT = $(install_sh) -c
35 INSTALL_HEADER = $(INSTALL_DATA)
36 transform = $(program_transform_name)
37 NORMAL_INSTALL = :
38 PRE_INSTALL = :
39 POST_INSTALL = :
40 NORMAL_UNINSTALL = :
41 PRE_UNINSTALL = :
42 POST_UNINSTALL = :
43 build_triplet = @build@
44 host_triplet = @host@
45 DIST_COMMON = $(am__configure_deps) $(srcdir)/Makefile.am \
46         $(srcdir)/Makefile.in $(srcdir)/README.in \
47         $(srcdir)/config.h.in $(srcdir)/config.h.win32.in \
48         $(top_srcdir)/build/autotools/Makefile.am.changelog \
49         $(top_srcdir)/build/autotools/Makefile.am.release \
50         $(top_srcdir)/build/autotools/Makefile.am.silent \
51         $(top_srcdir)/clutter/cally/cally.pc.in \
52         $(top_srcdir)/clutter/cex100/clutter-cex100.h.in \
53         $(top_srcdir)/configure ABOUT-NLS COPYING NEWS
54 subdir = .
55 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
56 am__aclocal_m4_deps =  \
57         $(top_srcdir)/build/autotools/as-compiler-flag.m4 \
58         $(top_srcdir)/build/autotools/as-linguas.m4 \
59         $(top_srcdir)/build/autotools/gettext.m4 \
60         $(top_srcdir)/build/autotools/gtk-doc.m4 \
61         $(top_srcdir)/build/autotools/iconv.m4 \
62         $(top_srcdir)/build/autotools/intlmacosx.m4 \
63         $(top_srcdir)/build/autotools/introspection.m4 \
64         $(top_srcdir)/build/autotools/lib-ld.m4 \
65         $(top_srcdir)/build/autotools/lib-link.m4 \
66         $(top_srcdir)/build/autotools/lib-prefix.m4 \
67         $(top_srcdir)/build/autotools/libtool.m4 \
68         $(top_srcdir)/build/autotools/ltoptions.m4 \
69         $(top_srcdir)/build/autotools/ltsugar.m4 \
70         $(top_srcdir)/build/autotools/ltversion.m4 \
71         $(top_srcdir)/build/autotools/lt~obsolete.m4 \
72         $(top_srcdir)/build/autotools/nls.m4 \
73         $(top_srcdir)/build/autotools/po.m4 \
74         $(top_srcdir)/build/autotools/progtest.m4 \
75         $(top_srcdir)/configure.ac
76 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
77         $(ACLOCAL_M4)
78 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
79  configure.lineno config.status.lineno
80 mkinstalldirs = $(install_sh) -d
81 CONFIG_HEADER = config.h
82 CONFIG_CLEAN_FILES = config.h.win32 README \
83         clutter/cex100/clutter-cex100.h
84 CONFIG_CLEAN_VPATH_FILES =
85 AM_V_GEN = $(am__v_GEN_@AM_V@)
86 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
87 am__v_GEN_0 = @echo "  GEN   " $@;
88 AM_V_at = $(am__v_at_@AM_V@)
89 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
90 am__v_at_0 = @
91 SOURCES =
92 DIST_SOURCES =
93 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
94         html-recursive info-recursive install-data-recursive \
95         install-dvi-recursive install-exec-recursive \
96         install-html-recursive install-info-recursive \
97         install-pdf-recursive install-ps-recursive install-recursive \
98         installcheck-recursive installdirs-recursive pdf-recursive \
99         ps-recursive uninstall-recursive
100 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
101   distclean-recursive maintainer-clean-recursive
102 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
103         $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
104         distdir dist dist-all distcheck
105 ETAGS = etags
106 CTAGS = ctags
107 DIST_SUBDIRS = $(SUBDIRS)
108 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
109 distdir = $(PACKAGE)-$(VERSION)
110 top_distdir = $(distdir)
111 am__remove_distdir = \
112   if test -d "$(distdir)"; then \
113     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
114       && rm -rf "$(distdir)" \
115       || { sleep 5 && rm -rf "$(distdir)"; }; \
116   else :; fi
117 am__relativize = \
118   dir0=`pwd`; \
119   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
120   sed_rest='s,^[^/]*/*,,'; \
121   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
122   sed_butlast='s,/*[^/]*$$,,'; \
123   while test -n "$$dir1"; do \
124     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
125     if test "$$first" != "."; then \
126       if test "$$first" = ".."; then \
127         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
128         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
129       else \
130         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
131         if test "$$first2" = "$$first"; then \
132           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
133         else \
134           dir2="../$$dir2"; \
135         fi; \
136         dir0="$$dir0"/"$$first"; \
137       fi; \
138     fi; \
139     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
140   done; \
141   reldir="$$dir2"
142 GZIP_ENV = --best
143 DIST_ARCHIVES = $(distdir).tar.xz
144 distuninstallcheck_listfiles = find . -type f -print
145 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
146   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
147 distcleancheck_listfiles = find . -type f -print
148 ACLOCAL = @ACLOCAL@
149 ALL_LINGUAS = @ALL_LINGUAS@
150 AMTAR = @AMTAR@
151 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
152 AR = @AR@
153 ATK_PREFIX = @ATK_PREFIX@
154 ATK_REQ_VERSION = @ATK_REQ_VERSION@
155 AUTOCONF = @AUTOCONF@
156 AUTOHEADER = @AUTOHEADER@
157 AUTOMAKE = @AUTOMAKE@
158 AWK = @AWK@
159 CAIRO_PREFIX = @CAIRO_PREFIX@
160 CAIRO_REQ_VERSION = @CAIRO_REQ_VERSION@
161 CC = @CC@
162 CCDEPMODE = @CCDEPMODE@
163 CFLAGS = @CFLAGS@
164 CLUTTER_API_VERSION = @CLUTTER_API_VERSION@
165 CLUTTER_API_VERSION_AM = @CLUTTER_API_VERSION_AM@
166 CLUTTER_BACKENDS = @CLUTTER_BACKENDS@
167 CLUTTER_CEX100_LIBGDL_PREFIX = @CLUTTER_CEX100_LIBGDL_PREFIX@
168 CLUTTER_CFLAGS = @CLUTTER_CFLAGS@
169 CLUTTER_COGL = @CLUTTER_COGL@
170 CLUTTER_CONFIG_DEFINES = @CLUTTER_CONFIG_DEFINES@
171 CLUTTER_DEBUG_CFLAGS = @CLUTTER_DEBUG_CFLAGS@
172 CLUTTER_DEPRECATED_CFLAGS = @CLUTTER_DEPRECATED_CFLAGS@
173 CLUTTER_DEPS_CFLAGS = @CLUTTER_DEPS_CFLAGS@
174 CLUTTER_DEPS_LIBS = @CLUTTER_DEPS_LIBS@
175 CLUTTER_DEPS_PRIVATE_CFLAGS = @CLUTTER_DEPS_PRIVATE_CFLAGS@
176 CLUTTER_DEPS_PRIVATE_LIBS = @CLUTTER_DEPS_PRIVATE_LIBS@
177 CLUTTER_FLAVOUR = @CLUTTER_FLAVOUR@
178 CLUTTER_INPUT_BACKENDS = @CLUTTER_INPUT_BACKENDS@
179 CLUTTER_LIBS = @CLUTTER_LIBS@
180 CLUTTER_LINK_FLAGS = @CLUTTER_LINK_FLAGS@
181 CLUTTER_LT_CURRENT = @CLUTTER_LT_CURRENT@
182 CLUTTER_LT_LDFLAGS = @CLUTTER_LT_LDFLAGS@
183 CLUTTER_LT_REVISION = @CLUTTER_LT_REVISION@
184 CLUTTER_LT_VERSION = @CLUTTER_LT_VERSION@
185 CLUTTER_MAJOR_VERSION = @CLUTTER_MAJOR_VERSION@
186 CLUTTER_MICRO_VERSION = @CLUTTER_MICRO_VERSION@
187 CLUTTER_MINOR_VERSION = @CLUTTER_MINOR_VERSION@
188 CLUTTER_PROFILE_CFLAGS = @CLUTTER_PROFILE_CFLAGS@
189 CLUTTER_PROFILE_LDFLAGS = @CLUTTER_PROFILE_LDFLAGS@
190 CLUTTER_RELEASE_STATUS = @CLUTTER_RELEASE_STATUS@
191 CLUTTER_REQUIRES = @CLUTTER_REQUIRES@
192 CLUTTER_REQUIRES_PRIVATE = @CLUTTER_REQUIRES_PRIVATE@
193 CLUTTER_SONAME_INFIX = @CLUTTER_SONAME_INFIX@
194 CLUTTER_STAGE_TYPE = @CLUTTER_STAGE_TYPE@
195 CLUTTER_VERSION = @CLUTTER_VERSION@
196 CLUTTER_WINSYS = @CLUTTER_WINSYS@
197 CLUTTER_WINSYS_BASE = @CLUTTER_WINSYS_BASE@
198 COGL_DRIVER = @COGL_DRIVER@
199 COGL_PREFIX = @COGL_PREFIX@
200 COGL_REQ_VERSION = @COGL_REQ_VERSION@
201 CPP = @CPP@
202 CPPFLAGS = @CPPFLAGS@
203 CYGPATH_W = @CYGPATH_W@
204 DEFS = @DEFS@
205 DEPDIR = @DEPDIR@
206 DLLTOOL = @DLLTOOL@
207 DSYMUTIL = @DSYMUTIL@
208 DUMPBIN = @DUMPBIN@
209 ECHO_C = @ECHO_C@
210 ECHO_N = @ECHO_N@
211 ECHO_T = @ECHO_T@
212 EGREP = @EGREP@
213 EVDEV_CFLAGS = @EVDEV_CFLAGS@
214 EVDEV_LIBS = @EVDEV_LIBS@
215 EXEEXT = @EXEEXT@
216 FGREP = @FGREP@
217 GCOV = @GCOV@
218 GCOV_CFLAGS = @GCOV_CFLAGS@
219 GCOV_LDFLAGS = @GCOV_LDFLAGS@
220 GDK_PIXBUF_CFLAGS = @GDK_PIXBUF_CFLAGS@
221 GDK_PIXBUF_LIBS = @GDK_PIXBUF_LIBS@
222 GDK_REQ_VERSION = @GDK_REQ_VERSION@
223 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
224 GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
225 GI_REQ_VERSION = @GI_REQ_VERSION@
226 GLIB_CFLAGS = @GLIB_CFLAGS@
227 GLIB_COMPILE_RESOURCES = @GLIB_COMPILE_RESOURCES@
228 GLIB_GENMARSHAL = @GLIB_GENMARSHAL@
229 GLIB_LIBS = @GLIB_LIBS@
230 GLIB_MKENUMS = @GLIB_MKENUMS@
231 GLIB_PREFIX = @GLIB_PREFIX@
232 GLIB_REQ_VERSION = @GLIB_REQ_VERSION@
233 GMSGFMT = @GMSGFMT@
234 GMSGFMT_015 = @GMSGFMT_015@
235 GOBJECT_QUERY = @GOBJECT_QUERY@
236 GREP = @GREP@
237 GTKDOC_CHECK = @GTKDOC_CHECK@
238 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
239 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
240 GTKDOC_MKPDF = @GTKDOC_MKPDF@
241 GTKDOC_REBASE = @GTKDOC_REBASE@
242 GTK_DOC_REQ_VERSION = @GTK_DOC_REQ_VERSION@
243 HTML_DIR = @HTML_DIR@
244 INSTALL = @INSTALL@
245 INSTALL_DATA = @INSTALL_DATA@
246 INSTALL_PROGRAM = @INSTALL_PROGRAM@
247 INSTALL_SCRIPT = @INSTALL_SCRIPT@
248 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
249 INTLLIBS = @INTLLIBS@
250 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
251 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
252 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
253 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
254 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
255 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
256 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
257 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
258 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
259 JSON_GLIB_REQ_VERSION = @JSON_GLIB_REQ_VERSION@
260 JW = @JW@
261 LD = @LD@
262 LDFLAGS = @LDFLAGS@
263 LIBICONV = @LIBICONV@
264 LIBINTL = @LIBINTL@
265 LIBOBJS = @LIBOBJS@
266 LIBS = @LIBS@
267 LIBTOOL = @LIBTOOL@
268 LIPO = @LIPO@
269 LN_S = @LN_S@
270 LTLIBICONV = @LTLIBICONV@
271 LTLIBINTL = @LTLIBINTL@
272 LTLIBOBJS = @LTLIBOBJS@
273 MAINTAINER_CFLAGS = @MAINTAINER_CFLAGS@
274 MAKEINFO = @MAKEINFO@
275 MANIFEST_TOOL = @MANIFEST_TOOL@
276 MKDIR_P = @MKDIR_P@
277 MSGFMT = @MSGFMT@
278 MSGFMT_015 = @MSGFMT_015@
279 MSGMERGE = @MSGMERGE@
280 NM = @NM@
281 NMEDIT = @NMEDIT@
282 OBJDUMP = @OBJDUMP@
283 OBJEXT = @OBJEXT@
284 OTOOL = @OTOOL@
285 OTOOL64 = @OTOOL64@
286 PACKAGE = @PACKAGE@
287 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
288 PACKAGE_NAME = @PACKAGE_NAME@
289 PACKAGE_STRING = @PACKAGE_STRING@
290 PACKAGE_TARNAME = @PACKAGE_TARNAME@
291 PACKAGE_URL = @PACKAGE_URL@
292 PACKAGE_VERSION = @PACKAGE_VERSION@
293 PANGO_PREFIX = @PANGO_PREFIX@
294 PANGO_REQ_VERSION = @PANGO_REQ_VERSION@
295 PATH_SEPARATOR = @PATH_SEPARATOR@
296 PKG_CONFIG = @PKG_CONFIG@
297 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
298 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
299 POSUB = @POSUB@
300 PROFILE_DEP_CFLAGS = @PROFILE_DEP_CFLAGS@
301 PROFILE_DEP_LIBS = @PROFILE_DEP_LIBS@
302 RANLIB = @RANLIB@
303 SED = @SED@
304 SET_MAKE = @SET_MAKE@
305 SHELL = @SHELL@
306 STRIP = @STRIP@
307 TSLIB_CFLAGS = @TSLIB_CFLAGS@
308 TSLIB_LIBS = @TSLIB_LIBS@
309 UPROF_REQ_VERSION = @UPROF_REQ_VERSION@
310 USE_NLS = @USE_NLS@
311 VERSION = @VERSION@
312 WINDRES = @WINDRES@
313 XCOMPOSITE_REQ_VERSION = @XCOMPOSITE_REQ_VERSION@
314 XFIXES_REQ_VERSION = @XFIXES_REQ_VERSION@
315 XGETTEXT = @XGETTEXT@
316 XGETTEXT_015 = @XGETTEXT_015@
317 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
318 XMKMF = @XMKMF@
319 XSLTPROC = @XSLTPROC@
320 abs_builddir = @abs_builddir@
321 abs_srcdir = @abs_srcdir@
322 abs_top_builddir = @abs_top_builddir@
323 abs_top_srcdir = @abs_top_srcdir@
324 ac_ct_AR = @ac_ct_AR@
325 ac_ct_CC = @ac_ct_CC@
326 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
327 am__include = @am__include@
328 am__leading_dot = @am__leading_dot@
329 am__quote = @am__quote@
330 am__tar = @am__tar@
331 am__untar = @am__untar@
332 bindir = @bindir@
333 build = @build@
334 build_alias = @build_alias@
335 build_cpu = @build_cpu@
336 build_os = @build_os@
337 build_vendor = @build_vendor@
338 builddir = @builddir@
339 datadir = @datadir@
340 datarootdir = @datarootdir@
341 docdir = @docdir@
342 dvidir = @dvidir@
343 exec_prefix = @exec_prefix@
344 host = @host@
345 host_alias = @host_alias@
346 host_cpu = @host_cpu@
347 host_os = @host_os@
348 host_vendor = @host_vendor@
349 htmldir = @htmldir@
350 includedir = @includedir@
351 infodir = @infodir@
352 install_sh = @install_sh@
353 libdir = @libdir@
354 libexecdir = @libexecdir@
355 localedir = @localedir@
356 localstatedir = @localstatedir@
357 mandir = @mandir@
358 mkdir_p = @mkdir_p@
359 oldincludedir = @oldincludedir@
360 pdfdir = @pdfdir@
361 prefix = @prefix@
362 program_transform_name = @program_transform_name@
363 psdir = @psdir@
364 sbindir = @sbindir@
365 sharedstatedir = @sharedstatedir@
366 srcdir = @srcdir@
367 sysconfdir = @sysconfdir@
368 target_alias = @target_alias@
369 top_build_prefix = @top_build_prefix@
370 top_builddir = @top_builddir@
371 top_srcdir = @top_srcdir@
372 QUIET_GEN = $(AM_V_GEN)
373 QUIET_LN = $(QUIET_LN_$(V))
374 QUIET_LN_ = $(QUIET_LN_$(AM_DEFAULT_VERBOSITY))
375 QUIET_LN_0 = @echo '  LN     '$@;
376 QUIET_RM = $(QUIET_RM_$(V))
377 QUIET_RM_ = $(QUIET_RM_$(AM_DEFAULT_VERBOSITY))
378 QUIET_RM_0 = @echo '  RM     '$@;
379 QUIET_SCAN = $(QUIET_SCAN_$(V))
380 QUIET_SCAN_ = $(QUIET_SCAN_$(AM_DEFAULT_VERBOSITY))
381 QUIET_SCAN_0 = @echo '  GISCAN '$@;
382 QUIET_COMP = $(QUIET_COMP_$(V))
383 QUIET_COMP_ = $(QUIET_COMP_$(AM_DEFAULT_VERBOSITY))
384 QUIET_COMP_0 = @echo '  GICOMP '$@;
385 NULL = 
386 SUBDIRS = clutter tests doc po build
387
388 # XXX - this is a massive hack to make autoreconf honour the ACLOCAL_FLAGS
389 # that jhbuild sets while still retaining build/autotools as the authoritative
390 # source for m4 macros
391 ACLOCAL_AMFLAGS = -I build/autotools ${ACLOCAL_FLAGS}
392 EXTRA_DIST = \
393         ChangeLog.pre-git-import        \
394         README.in                       \
395         README                          \
396         config.h.win32          \
397         config.h.win32.in       \
398         $(NULL)
399
400 CLEANFILES = $(pcfiles) $(srcdir)/ChangeLog.cache-*
401 DISTCLEANFILES = ChangeLog.cache-*
402 DISTCHECK_CONFIGURE_FLAGS = --enable-gtk-doc --enable-maintainer-flags --enable-docs
403 CURR_CHANGELOG_VERSION = $(CLUTTER_MAJOR_VERSION).$$(echo "($(CLUTTER_MINOR_VERSION)+1)/2*2" | bc)
404 # examines $version
405 PREV_CHANGELOG_VERSION = $$(if test "x$$(echo "($$version-0.1)*2/2"|bc)" = "x$$(echo "$$version*2/2"|bc)"; \
406                           then echo "$$version-$$(echo "$$version" | sed 's/[0-9]/0/g;s/[0-9]$$/2/')"; \
407                           else echo "$$version-1.0"; \
408                           fi | bc | sed 's/[.]0*/./;s/^0[.]\?$$/git-import/;s/[.]$$/.0/')
409
410 CHANGELOGS = ChangeLog \
411         `version=$(CURR_CHANGELOG_VERSION); \
412         version=$(PREV_CHANGELOG_VERSION); \
413         while test "x$$version" != "xgit-import"; do \
414                 echo ChangeLog.pre-$$version; \
415                 version=$(PREV_CHANGELOG_VERSION); \
416         done`
417
418 TAR_OPTIONS = --owner=0 --group=0
419 RELEASE_UPLOAD_HOST = clutter-project.org
420 RELEASE_UPLOAD_USER = clutter
421 RELEASE_UPLOAD_DIR = $(RELEASE_UPLOAD_USER)@$(RELEASE_UPLOAD_HOST):~$(RELEASE_UPLOAD_USER)/upload-source
422 RELEASE_URL_BASE = http://source.clutter-project.org/sources/clutter
423 RELEASE_URL = $(RELEASE_URL_BASE)/$(CLUTTER_MAJOR_VERSION).$(CLUTTER_MINOR_VERSION)
424 RELEASE_ANNOUNCE_LIST = clutter-announce@clutter-project.org
425 RELEASE_ANNOUNCE_CC = gnome-announce-list@gnome.org
426 RELEASE_DOC_URL = http://docs.clutter-project.org/docs/
427 BUGS_URL = http://bugzilla.gnome.org/enter_bug.cgi?product=clutter
428 tar_file = $(distdir).tar.xz
429 sha256_file = $(distdir).sha256sum
430 all: config.h
431         $(MAKE) $(AM_MAKEFLAGS) all-recursive
432
433 .SUFFIXES:
434 am--refresh: Makefile
435         @:
436 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(top_srcdir)/build/autotools/Makefile.am.silent $(top_srcdir)/build/autotools/Makefile.am.changelog $(top_srcdir)/build/autotools/Makefile.am.release $(am__configure_deps)
437         @for dep in $?; do \
438           case '$(am__configure_deps)' in \
439             *$$dep*) \
440               echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
441               $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
442                 && exit 0; \
443               exit 1;; \
444           esac; \
445         done; \
446         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
447         $(am__cd) $(top_srcdir) && \
448           $(AUTOMAKE) --foreign Makefile
449 .PRECIOUS: Makefile
450 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
451         @case '$?' in \
452           *config.status*) \
453             echo ' $(SHELL) ./config.status'; \
454             $(SHELL) ./config.status;; \
455           *) \
456             echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
457             cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
458         esac;
459 $(top_srcdir)/build/autotools/Makefile.am.silent $(top_srcdir)/build/autotools/Makefile.am.changelog $(top_srcdir)/build/autotools/Makefile.am.release:
460
461 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
462         $(SHELL) ./config.status --recheck
463
464 $(top_srcdir)/configure:  $(am__configure_deps)
465         $(am__cd) $(srcdir) && $(AUTOCONF)
466 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
467         $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
468 $(am__aclocal_m4_deps):
469
470 config.h: stamp-h1
471         @if test ! -f $@; then rm -f stamp-h1; else :; fi
472         @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
473
474 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
475         @rm -f stamp-h1
476         cd $(top_builddir) && $(SHELL) ./config.status config.h
477 $(srcdir)/config.h.in:  $(am__configure_deps) 
478         ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
479         rm -f stamp-h1
480         touch $@
481
482 distclean-hdr:
483         -rm -f config.h stamp-h1
484 config.h.win32: $(top_builddir)/config.status $(srcdir)/config.h.win32.in
485         cd $(top_builddir) && $(SHELL) ./config.status $@
486 README: $(top_builddir)/config.status $(srcdir)/README.in
487         cd $(top_builddir) && $(SHELL) ./config.status $@
488 clutter/cex100/clutter-cex100.h: $(top_builddir)/config.status $(top_srcdir)/clutter/cex100/clutter-cex100.h.in
489         cd $(top_builddir) && $(SHELL) ./config.status $@
490
491 mostlyclean-libtool:
492         -rm -f *.lo
493
494 clean-libtool:
495         -rm -rf .libs _libs
496
497 distclean-libtool:
498         -rm -f libtool config.lt
499
500 # This directory's subdirectories are mostly independent; you can cd
501 # into them and run `make' without going through this Makefile.
502 # To change the values of `make' variables: instead of editing Makefiles,
503 # (1) if the variable is set in `config.status', edit `config.status'
504 #     (which will cause the Makefiles to be regenerated when you run `make');
505 # (2) otherwise, pass the desired values on the `make' command line.
506 $(RECURSIVE_TARGETS):
507         @fail= failcom='exit 1'; \
508         for f in x $$MAKEFLAGS; do \
509           case $$f in \
510             *=* | --[!k]*);; \
511             *k*) failcom='fail=yes';; \
512           esac; \
513         done; \
514         dot_seen=no; \
515         target=`echo $@ | sed s/-recursive//`; \
516         list='$(SUBDIRS)'; for subdir in $$list; do \
517           echo "Making $$target in $$subdir"; \
518           if test "$$subdir" = "."; then \
519             dot_seen=yes; \
520             local_target="$$target-am"; \
521           else \
522             local_target="$$target"; \
523           fi; \
524           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
525           || eval $$failcom; \
526         done; \
527         if test "$$dot_seen" = "no"; then \
528           $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
529         fi; test -z "$$fail"
530
531 $(RECURSIVE_CLEAN_TARGETS):
532         @fail= failcom='exit 1'; \
533         for f in x $$MAKEFLAGS; do \
534           case $$f in \
535             *=* | --[!k]*);; \
536             *k*) failcom='fail=yes';; \
537           esac; \
538         done; \
539         dot_seen=no; \
540         case "$@" in \
541           distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
542           *) list='$(SUBDIRS)' ;; \
543         esac; \
544         rev=''; for subdir in $$list; do \
545           if test "$$subdir" = "."; then :; else \
546             rev="$$subdir $$rev"; \
547           fi; \
548         done; \
549         rev="$$rev ."; \
550         target=`echo $@ | sed s/-recursive//`; \
551         for subdir in $$rev; do \
552           echo "Making $$target in $$subdir"; \
553           if test "$$subdir" = "."; then \
554             local_target="$$target-am"; \
555           else \
556             local_target="$$target"; \
557           fi; \
558           ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
559           || eval $$failcom; \
560         done && test -z "$$fail"
561 tags-recursive:
562         list='$(SUBDIRS)'; for subdir in $$list; do \
563           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
564         done
565 ctags-recursive:
566         list='$(SUBDIRS)'; for subdir in $$list; do \
567           test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
568         done
569
570 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
571         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
572         unique=`for i in $$list; do \
573             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
574           done | \
575           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
576               END { if (nonempty) { for (i in files) print i; }; }'`; \
577         mkid -fID $$unique
578 tags: TAGS
579
580 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
581                 $(TAGS_FILES) $(LISP)
582         set x; \
583         here=`pwd`; \
584         if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
585           include_option=--etags-include; \
586           empty_fix=.; \
587         else \
588           include_option=--include; \
589           empty_fix=; \
590         fi; \
591         list='$(SUBDIRS)'; for subdir in $$list; do \
592           if test "$$subdir" = .; then :; else \
593             test ! -f $$subdir/TAGS || \
594               set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
595           fi; \
596         done; \
597         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
598         unique=`for i in $$list; do \
599             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
600           done | \
601           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
602               END { if (nonempty) { for (i in files) print i; }; }'`; \
603         shift; \
604         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
605           test -n "$$unique" || unique=$$empty_fix; \
606           if test $$# -gt 0; then \
607             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
608               "$$@" $$unique; \
609           else \
610             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
611               $$unique; \
612           fi; \
613         fi
614 ctags: CTAGS
615 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
616                 $(TAGS_FILES) $(LISP)
617         list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
618         unique=`for i in $$list; do \
619             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
620           done | \
621           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
622               END { if (nonempty) { for (i in files) print i; }; }'`; \
623         test -z "$(CTAGS_ARGS)$$unique" \
624           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
625              $$unique
626
627 GTAGS:
628         here=`$(am__cd) $(top_builddir) && pwd` \
629           && $(am__cd) $(top_srcdir) \
630           && gtags -i $(GTAGS_ARGS) "$$here"
631
632 distclean-tags:
633         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
634
635 distdir: $(DISTFILES)
636         $(am__remove_distdir)
637         test -d "$(distdir)" || mkdir "$(distdir)"
638         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
639         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
640         list='$(DISTFILES)'; \
641           dist_files=`for file in $$list; do echo $$file; done | \
642           sed -e "s|^$$srcdirstrip/||;t" \
643               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
644         case $$dist_files in \
645           */*) $(MKDIR_P) `echo "$$dist_files" | \
646                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
647                            sort -u` ;; \
648         esac; \
649         for file in $$dist_files; do \
650           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
651           if test -d $$d/$$file; then \
652             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
653             if test -d "$(distdir)/$$file"; then \
654               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
655             fi; \
656             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
657               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
658               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
659             fi; \
660             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
661           else \
662             test -f "$(distdir)/$$file" \
663             || cp -p $$d/$$file "$(distdir)/$$file" \
664             || exit 1; \
665           fi; \
666         done
667         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
668           if test "$$subdir" = .; then :; else \
669             test -d "$(distdir)/$$subdir" \
670             || $(MKDIR_P) "$(distdir)/$$subdir" \
671             || exit 1; \
672           fi; \
673         done
674         @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
675           if test "$$subdir" = .; then :; else \
676             dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
677             $(am__relativize); \
678             new_distdir=$$reldir; \
679             dir1=$$subdir; dir2="$(top_distdir)"; \
680             $(am__relativize); \
681             new_top_distdir=$$reldir; \
682             echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
683             echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
684             ($(am__cd) $$subdir && \
685               $(MAKE) $(AM_MAKEFLAGS) \
686                 top_distdir="$$new_top_distdir" \
687                 distdir="$$new_distdir" \
688                 am__remove_distdir=: \
689                 am__skip_length_check=: \
690                 am__skip_mode_fix=: \
691                 distdir) \
692               || exit 1; \
693           fi; \
694         done
695         $(MAKE) $(AM_MAKEFLAGS) \
696           top_distdir="$(top_distdir)" distdir="$(distdir)" \
697           dist-hook
698         -test -n "$(am__skip_mode_fix)" \
699         || find "$(distdir)" -type d ! -perm -755 \
700                 -exec chmod u+rwx,go+rx {} \; -o \
701           ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
702           ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
703           ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
704         || chmod -R a+r "$(distdir)"
705 dist-gzip: distdir
706         tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
707         $(am__remove_distdir)
708
709 dist-bzip2: distdir
710         tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
711         $(am__remove_distdir)
712
713 dist-lzip: distdir
714         tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
715         $(am__remove_distdir)
716
717 dist-lzma: distdir
718         tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
719         $(am__remove_distdir)
720 dist-xz: distdir
721         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
722         $(am__remove_distdir)
723
724 dist-tarZ: distdir
725         tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
726         $(am__remove_distdir)
727
728 dist-shar: distdir
729         shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
730         $(am__remove_distdir)
731
732 dist-zip: distdir
733         -rm -f $(distdir).zip
734         zip -rq $(distdir).zip $(distdir)
735         $(am__remove_distdir)
736
737 dist dist-all: distdir
738         tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
739         $(am__remove_distdir)
740
741 # This target untars the dist file and tries a VPATH configuration.  Then
742 # it guarantees that the distribution is self-contained by making another
743 # tarfile.
744 distcheck: dist
745         case '$(DIST_ARCHIVES)' in \
746         *.tar.gz*) \
747           GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
748         *.tar.bz2*) \
749           bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
750         *.tar.lzma*) \
751           lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
752         *.tar.lz*) \
753           lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
754         *.tar.xz*) \
755           xz -dc $(distdir).tar.xz | $(am__untar) ;;\
756         *.tar.Z*) \
757           uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
758         *.shar.gz*) \
759           GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
760         *.zip*) \
761           unzip $(distdir).zip ;;\
762         esac
763         chmod -R a-w $(distdir); chmod a+w $(distdir)
764         mkdir $(distdir)/_build
765         mkdir $(distdir)/_inst
766         chmod a-w $(distdir)
767         test -d $(distdir)/_build || exit 0; \
768         dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
769           && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
770           && am__cwd=`pwd` \
771           && $(am__cd) $(distdir)/_build \
772           && ../configure --srcdir=.. --prefix="$$dc_install_base" \
773             $(AM_DISTCHECK_CONFIGURE_FLAGS) \
774             $(DISTCHECK_CONFIGURE_FLAGS) \
775           && $(MAKE) $(AM_MAKEFLAGS) \
776           && $(MAKE) $(AM_MAKEFLAGS) dvi \
777           && $(MAKE) $(AM_MAKEFLAGS) check \
778           && $(MAKE) $(AM_MAKEFLAGS) install \
779           && $(MAKE) $(AM_MAKEFLAGS) installcheck \
780           && $(MAKE) $(AM_MAKEFLAGS) uninstall \
781           && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
782                 distuninstallcheck \
783           && chmod -R a-w "$$dc_install_base" \
784           && ({ \
785                (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
786                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
787                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
788                && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
789                     distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
790               } || { rm -rf "$$dc_destdir"; exit 1; }) \
791           && rm -rf "$$dc_destdir" \
792           && $(MAKE) $(AM_MAKEFLAGS) dist \
793           && rm -rf $(DIST_ARCHIVES) \
794           && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
795           && cd "$$am__cwd" \
796           || exit 1
797         $(am__remove_distdir)
798         @(echo "$(distdir) archives ready for distribution: "; \
799           list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
800           sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
801 distuninstallcheck:
802         @test -n '$(distuninstallcheck_dir)' || { \
803           echo 'ERROR: trying to run $@ with an empty' \
804                '$$(distuninstallcheck_dir)' >&2; \
805           exit 1; \
806         }; \
807         $(am__cd) '$(distuninstallcheck_dir)' || { \
808           echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
809           exit 1; \
810         }; \
811         test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
812            || { echo "ERROR: files left after uninstall:" ; \
813                 if test -n "$(DESTDIR)"; then \
814                   echo "  (check DESTDIR support)"; \
815                 fi ; \
816                 $(distuninstallcheck_listfiles) ; \
817                 exit 1; } >&2
818 distcleancheck: distclean
819         @if test '$(srcdir)' = . ; then \
820           echo "ERROR: distcleancheck can only run from a VPATH build" ; \
821           exit 1 ; \
822         fi
823         @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
824           || { echo "ERROR: files left in build directory after distclean:" ; \
825                $(distcleancheck_listfiles) ; \
826                exit 1; } >&2
827 check-am: all-am
828 check: check-recursive
829 all-am: Makefile config.h
830 installdirs: installdirs-recursive
831 installdirs-am:
832 install: install-recursive
833 install-exec: install-exec-recursive
834 install-data: install-data-recursive
835 uninstall: uninstall-recursive
836
837 install-am: all-am
838         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
839
840 installcheck: installcheck-recursive
841 install-strip:
842         if test -z '$(STRIP)'; then \
843           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
844             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
845               install; \
846         else \
847           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
848             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
849             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
850         fi
851 mostlyclean-generic:
852
853 clean-generic:
854         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
855
856 distclean-generic:
857         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
858         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
859         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
860
861 maintainer-clean-generic:
862         @echo "This command is intended for maintainers to use"
863         @echo "it deletes files that may require special tools to rebuild."
864 clean: clean-recursive
865
866 clean-am: clean-generic clean-libtool mostlyclean-am
867
868 distclean: distclean-recursive
869         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
870         -rm -f Makefile
871 distclean-am: clean-am distclean-generic distclean-hdr \
872         distclean-libtool distclean-tags
873
874 dvi: dvi-recursive
875
876 dvi-am:
877
878 html: html-recursive
879
880 html-am:
881
882 info: info-recursive
883
884 info-am:
885
886 install-data-am:
887
888 install-dvi: install-dvi-recursive
889
890 install-dvi-am:
891
892 install-exec-am:
893
894 install-html: install-html-recursive
895
896 install-html-am:
897
898 install-info: install-info-recursive
899
900 install-info-am:
901
902 install-man:
903
904 install-pdf: install-pdf-recursive
905
906 install-pdf-am:
907
908 install-ps: install-ps-recursive
909
910 install-ps-am:
911
912 installcheck-am:
913
914 maintainer-clean: maintainer-clean-recursive
915         -rm -f $(am__CONFIG_DISTCLEAN_FILES)
916         -rm -rf $(top_srcdir)/autom4te.cache
917         -rm -f Makefile
918 maintainer-clean-am: distclean-am maintainer-clean-generic
919
920 mostlyclean: mostlyclean-recursive
921
922 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
923
924 pdf: pdf-recursive
925
926 pdf-am:
927
928 ps: ps-recursive
929
930 ps-am:
931
932 uninstall-am:
933
934 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
935         ctags-recursive install-am install-strip tags-recursive
936
937 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
938         all all-am am--refresh check check-am clean clean-generic \
939         clean-libtool ctags ctags-recursive dist dist-all dist-bzip2 \
940         dist-gzip dist-hook dist-lzip dist-lzma dist-shar dist-tarZ \
941         dist-xz dist-zip distcheck distclean distclean-generic \
942         distclean-hdr distclean-libtool distclean-tags distcleancheck \
943         distdir distuninstallcheck dvi dvi-am html html-am info \
944         info-am install install-am install-data install-data-am \
945         install-dvi install-dvi-am install-exec install-exec-am \
946         install-html install-html-am install-info install-info-am \
947         install-man install-pdf install-pdf-am install-ps \
948         install-ps-am install-strip installcheck installcheck-am \
949         installdirs installdirs-am maintainer-clean \
950         maintainer-clean-generic mostlyclean mostlyclean-generic \
951         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-recursive \
952         uninstall uninstall-am
953
954
955 changelogs:
956         @$(MAKE) $(AM_MAKEFLAGS) $(CHANGELOGS)
957
958 dist-hook: changelogs
959         changelogs="$(CHANGELOGS)"; \
960         for changelog in $$changelogs; do \
961                 cp $(srcdir)/$$changelog $(distdir)/ 2>/dev/null || \
962                 cp $$changelog $(distdir)/; \
963         done
964
965 $(srcdir)/ChangeLog:
966         @if test -d "$(srcdir)/.git"; then \
967                 version=$(CURR_CHANGELOG_VERSION); \
968                 prev=$(PREV_CHANGELOG_VERSION).0; \
969                 nearest_tag=`git describe | sed 's/-.*//'`; \
970                 before=$(srcdir)/ChangeLog.cache-$$prev..$$nearest_tag; \
971                 after=$(srcdir)/ChangeLog.cache-$$nearest_tag..; \
972                 $(MAKE) $(AM_MAKEFLAGS) $$before $$after && \
973                 echo Creating $@ && \
974                 { echo '# Generated by configure.  Do not edit.'; echo; \
975                   cat $$after; echo; cat $$before; } > $@; \
976         else \
977                 test -f $@ || \
978                 (echo A git checkout is required to generate $@ >&2 && \
979                  echo A git checkout is required to generate this file >> $@); \
980         fi
981
982 ChangeLog.cache-*..: .git
983
984 ChangeLog%: $(srcdir)/ChangeLog%
985
986 $(srcdir)/ChangeLog.cache-% $(srcdir)/ChangeLog.pre-%:
987         @echo "Creating $@"
988         @if test -d "$(srcdir)/.git"; then \
989             (cd "$(srcdir)" && \
990             version=$$(echo "$@" | sed 's/.*ChangeLog\([.].*-\)\?//'); \
991             if echo "$@" | grep -q '^ChangeLog[.]cache'; then \
992               spec=$$version; \
993             else \
994               to=$$version; \
995               test "x$$version" = x && version=$(CURR_CHANGELOG_VERSION); \
996               from=$(PREV_CHANGELOG_VERSION); \
997               test "x$$to" = x || to=$$to.0; \
998               test "x$$from" = xgit-import || from=$$from.0; \
999               spec=$$from..$$to; \
1000             fi; \
1001             $(top_srcdir)/build/missing --run git log --stat "$$spec") > $@.tmp \
1002             && mv -f $@.tmp $@ \
1003             || ($(RM) $@.tmp; \
1004                 echo Failed to generate $@, your $@ may be outdated >&2); \
1005           else \
1006             echo A git checkout is required to generate $@ >&2; \
1007         fi
1008
1009 .PHONY: changelogs ChangeLog $(srcdir)/ChangeLog
1010
1011 $(sha256_file): $(tar_file)
1012         $(AM_V_GEN)sha256sum $^ > $@
1013
1014 release-tag:
1015         @if test "x$(CLUTTER_RELEASE_STATUS)" = "xgit"; then \
1016           echo "*** Cannot tag a Git version; please, update the Clutter version" >&2; \
1017         else \
1018           if test -d "$(top_srcdir)/.git"; then \
1019             echo " GIT   Tagging release $(CLUTTER_VERSION)..." ; \
1020             $(top_srcdir)/build/missing --run git tag \
1021                 -s \
1022                 -m "Clutter $(CLUTTER_VERSION) ($(CLUTTER_RELEASE_STATUS))" \
1023                 $(CLUTTER_VERSION) ; \
1024           else \
1025             echo "*** A git checkout is required to tag a release" >&2; \
1026           fi \
1027         fi
1028
1029 release-check: release-verify-even-micro release-verify-sane-changelogs release-verify-news
1030         TAR_OPTIONS="$(TAR_OPTIONS)" $(MAKE) $(AM_MAKEFLAGS) distcheck
1031
1032 release-verify-news:
1033         @echo -n " CHK   Checking that the NEWS file has been updated..."
1034         @if ! grep -q "$(CLUTTER_VERSION)" $(top_srcdir)/NEWS; then \
1035           (echo "Ouch." && \
1036            echo "*** The version in the NEWS file does not match $(CLUTTER_VERSION)." && \
1037            echo "*** This probably means you haven't updated the NEWS file." && \
1038            false); else :; fi
1039         @echo "Good."
1040
1041 release-verify-sane-changelogs: changelogs
1042         @echo -n " CHK   Checking that the ChangeLog files are sane..."
1043         @if grep -q "is required to generate" $(CHANGELOGS); then \
1044           (echo "Ouch." && \
1045            echo "*** Some of the ChangeLogs are not generated correctly." && \
1046            echo "*** Remove ChangeLog* and make changelogs" && false); else :; fi
1047         @echo "Good."
1048
1049 release-verify-even-micro:
1050         @echo -n " CHK   Checking that $(VERSION) has an even micro component..."
1051         @test "$(CLUTTER_MICRO_VERSION)" = "`echo $(CLUTTER_MICRO_VERSION)/2*2 | bc`" || \
1052           (echo "Ouch." && \
1053            echo "*** The version micro component '$(CLUTTER_MICRO_VERSION)' is not an even number." && \
1054            echo "*** The version in configure.ac must be incremented before a new release." && \
1055            false)
1056         @echo "Good."
1057
1058 release-upload: $(sha256_file)
1059         @echo " SCP   Uploading to $(RELEASE_UPLOAD_HOST)..."
1060         @scp $(tar_file) $(RELEASE_UPLOAD_DIR)
1061         @echo " SCP   Uploading to master.gnome.org..."
1062         @scp $(tar_file) master.gnome.org:
1063         @echo " EXEC  Running ftpadmin install..."
1064         @ssh master.gnome.org ftpadmin install $(tar_file)
1065         @mv -f $(sha256_file) $(top_builddir)/build/$(sha256_file)
1066         @echo "Done."
1067
1068 release-message:
1069         @echo "     Release URL: $(RELEASE_URL)/$(tar_file)"
1070         @echo "Release checksum: $(RELEASE_URL)/$(sha256_file)"
1071         @echo "Send an email to: $(RELEASE_ANNOUNCE_LIST)"
1072         @echo "              Cc: $(RELEASE_ANNOUNCE_CC)"
1073         @echo "         Subject: ANNOUNCE: Clutter $(CLUTTER_VERSION) ($(CLUTTER_RELEASE_STATUS))"
1074         @echo "        Contents:"
1075         @echo "--- CUT HERE ---"
1076         @echo "Good news, everyone!"
1077         @echo ""
1078         @echo "A new Clutter $(CLUTTER_RELEASE_STATUS) is now available at:"
1079         @echo ""
1080         @echo "  http://source.clutter-project.org/sources/clutter/$(CLUTTER_MAJOR_VERSION).$(CLUTTER_MINOR_VERSION)/"
1081         @echo "  http://download.gnome.org/sources/clutter/$(CLUTTER_MAJOR_VERSION).$(CLUTTER_MINOR_VERSION)/"
1082         @echo ""
1083         @echo "SHA256 Checksum:"
1084         @echo ""
1085         @cat $(top_builddir)/build/$(sha256_file)
1086         @echo ""
1087         @echo "Additionally, a git clone of the source tree:"
1088         @echo "  git clone git://git.gnome.org/clutter"
1089         @echo ""
1090         @echo "will include a signed $(CLUTTER_VERSION) tag which points to a commit named:"
1091         @echo "  `git cat-file tag $(CLUTTER_VERSION) | $(GREP) ^object | $(SED) -e 's,object ,,'`"
1092         @echo ""
1093         @echo "which can be verified with:"
1094         @echo "  git verify-tag $(CLUTTER_VERSION)"
1095         @echo ""
1096         @echo "and can be checked out with a command such as:"
1097         @echo "  git checkout -b build $(CLUTTER_VERSION)"
1098         @echo ""
1099         @echo "Clutter is a library for creating compelling, dynamic and portable graphical"
1100         @echo "user interfaces. Clutter is released under the terms of the GNU Lesser"
1101         @echo "General Public License, version 2.1 or (at your option) later."
1102         @echo ""
1103         @echo "Clutter depends on:"
1104         @echo "  GLib ≥ @GLIB_REQ_VERSION@"
1105         @echo "  JSON-GLib ≥ @JSON_GLIB_REQ_VERSION@"
1106         @echo "  Cogl ≥ @COGL_REQ_VERSION@"
1107         @echo "  Cairo ≥ @CAIRO_REQ_VERSION@"
1108         @echo "  Pango ≥ @PANGO_REQ_VERSION@"
1109         @echo "  Atk ≥ @ATK_REQ_VERSION@"
1110         @echo ""
1111         @echo "Clutter also has platform-specific dependencies; for more information, see"
1112         @echo "the README file included in the release."
1113         @echo ""
1114         @echo "Documentation:"
1115         @echo "   Clutter: $(RELEASE_DOC_URL)/clutter/$(CLUTTER_MAJOR_VERSION).$(CLUTTER_MINOR_VERSION)/"
1116         @echo "     Cally: $(RELEASE_DOC_URL)/cally/$(CLUTTER_MAJOR_VERSION).$(CLUTTER_MINOR_VERSION)/"
1117         @echo "  Cookbook: $(RELEASE_DOC_URL)/clutter-cookbook/$(CLUTTER_API_VERSION)/"
1118         @echo ""
1119         @echo "Release Notes:"
1120         @if test "x$(CLUTTER_RELEASE_STATUS)" = "xsnapshot"; then \
1121            echo "  - This is an unstable snapshot of Clutter; there are no compatibility"; \
1122            echo "    guarantees for API added during a development cycle." ; \
1123          fi
1124         @echo "  - This version is API and ABI compatible with the current stable"
1125         @echo "    release of Clutter."
1126         @echo "  - Installing the contents of this release will overwrite the files"
1127         @echo "    from the installation of the current release of Clutter."
1128         @echo "  - Bugs should be reported on the Clutter Bugzilla product, at:"
1129         @echo "    ${BUGS_URL}"
1130         @echo ""
1131         @$(SED) -n '1bend;/^Clutter /q;:end;2,$$p' $(top_srcdir)/NEWS | $(GREP) -v '^======'
1132         @echo ""
1133         @echo "Have fun with Clutter!"
1134         @echo "--- CUT HERE ---"
1135
1136 release-publish: release-check
1137         $(MAKE) $(AM_MAKEFLAGS) release-tag
1138         $(MAKE) $(AM_MAKEFLAGS) release-upload
1139         $(MAKE) $(AM_MAKEFLAGS) release-message
1140
1141 .PHONY: \
1142         release-check \
1143         release-message \
1144         release-publish \
1145         release-tag \
1146         release-upload \
1147         release-verify-even-micro \
1148         release-verify-sane-changelogs
1149
1150 # .release requires .changelog rules
1151
1152 # proxy rule for gcov
1153 gcov:
1154         @( cd clutter && $(MAKE) $(AM_MAKEFLAGS) $@ ) || exit $$?
1155
1156 # proxy rules for tests
1157 test-report full-report:
1158         $(MAKE) -C tests/conform $(@)
1159
1160 perf-report:
1161         $(MAKE) -C tests/performance $(@)
1162
1163 .PHONY: gcov test-report full-report perf-report
1164
1165 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1166 # Otherwise a system limit (for SysV at least) may be exceeded.
1167 .NOEXPORT: